# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "nvme" "xhci_pci" "ahci" "usbhid" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-amd" ];
  boot.extraModulePackages = [ ];

  fileSystems."/" =
    { device = "/dev/mapper/luks-1cfce221-0cff-491c-b873-a878354f73fb";
      fsType = "btrfs";
    };

  boot.initrd.luks.devices."luks-1cfce221-0cff-491c-b873-a878354f73fb".device = "/dev/disk/by-uuid/1cfce221-0cff-491c-b873-a878354f73fb";

  fileSystems."/nix" =
    { device = "/dev/mapper/luks-1cfce221-0cff-491c-b873-a878354f73fb";
      fsType = "btrfs";
      options = [ "subvol=nix" ];
    };

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/A89B-17E2";
      fsType = "vfat";
      options = [ "fmask=0077" "dmask=0077" ];
    };

  fileSystems."/home" =
    { device = "/dev/mapper/luks-566acd93-8399-41c4-be4e-10e1df098e7f";
      fsType = "btrfs";
    };

  boot.initrd.luks.devices."luks-566acd93-8399-41c4-be4e-10e1df098e7f".device = "/dev/disk/by-uuid/566acd93-8399-41c4-be4e-10e1df098e7f";

  fileSystems."/mnt/fileStorage" =
    { device = "/dev/mapper/luks-a476201c-0098-41aa-b1d8-c68af6b23e5f";
      fsType = "btrfs";
    };

  boot.initrd.luks.devices."luks-a476201c-0098-41aa-b1d8-c68af6b23e5f".device = "/dev/disk/by-uuid/a476201c-0098-41aa-b1d8-c68af6b23e5f";

  swapDevices =
    [ { device = "/dev/disk/by-uuid/f63fb713-1fcb-4172-af93-34d985ab40fb"; }
    ];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
